package de.juplo.thymeleaf;


import java.util.HashSet;
import java.util.Set;
import org.thymeleaf.dialect.AbstractDialect;
import org.thymeleaf.processor.IProcessor;


/**
 * A collection of usefull tools.
 * @author Kai Moritz
 */
public class JuploDialect extends AbstractDialect
{
  public static final String DIALECT_PREFIX = "juplo";


  public JuploDialect()
  {
    super();
  }


  @Override
  public String getPrefix()
  {
    return DIALECT_PREFIX;
  }

  @Override
  public Set<IProcessor> getProcessors()
  {
    final Set<IProcessor> processors = new HashSet<>();
    processors.add(new ActiveAttrProcessor());
    processors.add(new InactiveAttrProcessor());
    processors.add(new ImportVariablesAttrProcessor());
    return processors;
  }
}
